/*
 * Copyright 2005 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.drools.modelcompiler.domain;

import java.util.List;

import org.drools.core.phreak.ReactiveList;

public class Child extends Person {

    private final String parent;

    private final List<Toy> toys = new ReactiveList<Toy>();

    public Child(String name, int age) {
        this(name, age, null);
    }

    public Child(String name, int age, String parent) {
        super(name, age);
        this.parent = parent;
    }

    public List<Toy> getToys() {
        return toys;
    }

    public void addToy(Toy toy) {
        toys.add(toy);
    }

    public String getParent() {
        return parent;
    }
}